if CLIENT then return end

hook.Add( "Initialize", "UBanULXInit", function() -- Wait for ULX to be loaded

local function cc_gban( ply, command, argv, args )
	if #argv < 1 then
		ULib.tsay( ply, ulx.LOW_ARGS )
		return
	end

	local target, err = ULib.getUser( argv[ 1 ], _, ply )
	if not target then
		ULib.tsay( ply, err )
		return
	end
	
	local time = tonumber( argv[ 2 ] or 0 )
	if not time then
		ULib.tsay( ply, "Invalid time." )
		return
	end
	
	local comment = argv[ 3 ] or ""

	local b, e = pcall( UBan.BanUser, target, time * 60, comment )
	if b then
		ulx.logUserAct( ply, target, string.format( "#A global banned #T<%s> for time %i (%s)", target:SteamID(), time, comment ) )
		ULib.tsay( ply, "Global ban successful" )
	else
		Msg( "UBan failure. Error is: " .. tostring( e ) .. "\n" )
		ULib.tsay( ply, "Global ban failed! See server console for error." )
	end
end
ulx.concommand( "gban", cc_gban, "<user(s)> [<time>] [<comment>] - Globally bans a user, time is in minutes. 0 or blank for perma.", ULib.ACCESS_SUPERADMIN, "!gban", _, ulx.ID_PLAYER_HELP )

local function cc_gbanid( ply, command, argv, args )
	if #argv < 1 then
		ULib.tsay( ply, ulx.LOW_ARGS )
		return
	end

	local steamid = argv[ 1 ]
	
	local time = tonumber( argv[ 2 ] or 0 )
	if not time then
		ULib.tsay( ply, "Invalid time." )
		return
	end
	
	local comment = argv[ 3 ] or ""

       	local b, e = pcall( UBan.ManualBan, steamid, "<Unknown>", time * 60, comment )
       	if b then
		ulx.logServAct( ply, string.format( "#A global banned <%s> for time %i (%s)", steamid, time, comment ) )
		ULib.tsay( ply, "Global ban successful" )
	else
		Msg( "UBan failure. Error is: " .. tostring( e ) .. "\n" )
		ULib.tsay( ply, "Global ban failed! See server console for error." )	
	end
end
ulx.concommand( "gbanid", cc_gbanid, "<steamid> [<time>] [<comment>] - Globally bans a steamid, time is in minutes. 0 or blank for perma.", ULib.ACCESS_SUPERADMIN, _, _, ulx.ID_HELP )

local function cc_gunbanid( ply, command, argv, args )
	if #argv < 1 then
		ULib.tsay( ply, ulx.LOW_ARGS )
		return
	end

	ulx.logServAct( ply, string.format( "#A global unbanned %s", argv[ 1 ] ) )
	UBan.ClearBan( argv[ 1 ] )
	ULib.tsay( ply, "Global unban successful (assuming this ban existed)." )
end
ulx.concommand( "gunbanid", cc_gunbanid, "<steamid> - Globally unbans a user's steamid.", ULib.ACCESS_SUPERADMIN, _, _, ulx.ID_HELP )

end )